##### 7.5.23.0. purelist

Procedure from library `purityfiltration.lib` (see purityfiltration_lib).

Usage:
  purelist(T), T list, in which the i-th entry R=T[i] represents M=D^p/D^q(R^t)

Return:
  list M, entries of M are 0 or 1

Purpose:
  if T[i] is pure, M[i] is 1, else M[i] is 0

Example:

    LIB "purityfiltration.lib";
    ring D = 0,(x,y,z),dp;
    matrix R[6][4]=
    0,-2*x,z-2*y-x,-1,
    0,z-2*x,2*y-3*x,1,
    z,-6*x,-2*y-5*x,-1,
    0,y-x,y-x,0,
    y,-x,-y-x,0,
    x,-x,-2*x,0;
    is_pure(transpose(R));
    ==> 0
    // R is not pure, so we do the purity filtration
    list T=purityFiltration(transpose(R));
    // all Elements of T[2] are either zero or pure
    purelist(T[2]);
    ==> [1]:
    ==>    1
    ==> [2]:
    ==>    1
    ==> [3]:
    ==>    1
    ==> [4]:
    ==>    1

User manual for Singular version 4.4.1, 2025, generated by texi2html.